## GeditPlugin

GeditPlugin —

## Synopsis

    #define     GEDIT_PLUGIN_CONST              (obj)
                GeditPlugin;
    void        gedit_plugin_activate           (GeditPlugin *plugin,
                                                 GeditWindow *window);
    void        gedit_plugin_deactivate         (GeditPlugin *plugin,
                                                 GeditWindow *window);
    void        gedit_plugin_update_ui          (GeditPlugin *plugin,
                                                 GeditWindow *window);
    gboolean    gedit_plugin_is_configurable    (GeditPlugin *plugin);
    GtkWidget*  gedit_plugin_create_configure_dialog
                                                (GeditPlugin *plugin);
    #define     GEDIT_PLUGIN_REGISTER_TYPE      (PluginName, plugin_name)

## Object Hierarchy

      GObject
       +----GeditPlugin

## Description

## Details

### GEDIT_PLUGIN_CONST()

    #define GEDIT_PLUGIN_CONST(obj)        (G_TYPE_CHECK_INSTANCE_CAST((obj), GEDIT_TYPE_PLUGIN, GeditPlugin const))

`obj` : |

### GeditPlugin

    typedef struct _GeditPlugin GeditPlugin;

### gedit_plugin_activate ()

    void        gedit_plugin_activate           (GeditPlugin *plugin,
                                                 GeditWindow *window);

`plugin` : |
`window` : |

### gedit_plugin_deactivate ()

    void        gedit_plugin_deactivate         (GeditPlugin *plugin,
                                                 GeditWindow *window);

`plugin` : |
`window` : |

### gedit_plugin_update_ui ()

    void        gedit_plugin_update_ui          (GeditPlugin *plugin,
                                                 GeditWindow *window);

`plugin` : |
`window` : |

### gedit_plugin_is_configurable ()

    gboolean    gedit_plugin_is_configurable    (GeditPlugin *plugin);

`plugin` : |
Returns : |

### gedit_plugin_create_configure_dialog ()

    GtkWidget*  gedit_plugin_create_configure_dialog
                                                (GeditPlugin *plugin);

`plugin` : |
Returns : |

### GEDIT_PLUGIN_REGISTER_TYPE()

    #define     GEDIT_PLUGIN_REGISTER_TYPE(PluginName, plugin_name)

`PluginName` : |
`plugin_name` : |